Subject: guile 3.0.4: #40780 can be closed (typedef redefinition allowed in c11)

From: Hannes Müller <[email-masked]>
Date: Sat, 05 Dec 2020 12:25:25 +0100

Dear Maintainer,

I consider this bug report can be closed.

The 2011 C standard allows redeclaration of typedef names. 6.7 3 says:
… a typedef name may be redefined to denote the same type as it
currently does, provided that type is not a variably modified type;…

I compiled my application with -std=c11 and -Wpedantic using libguile
3.0.4: no warning is shown any more. 

Thanks!
Hannes